/****************************************************************************
Date: 2/9/97 EXPERIMENTAL
File: strtab.cpp
Description:    string lookup table class
        public:
                STRINGTABLE(const CHAR* aTable[], size_t TableSize)
                UINT    GetIndex(const CHAR* pszName) const

	
*****************************************************************************/
#include "strtab.hpp"

STRINGTABLE::STRINGTABLE(const CHAR* aTable[], size_t TableSize) :
                pTable(aTable),
                unCount(TableSize/sizeof(const CHAR*)) {
}


UINT    STRINGTABLE::GetIndex(const CHAR* pszName) const {

        const CHAR** pEntry = pTable;

        for (USHORT i(0); i < unCount; i++) {
		if (0 == strcmp(pszName, *pEntry)) {
                        return i;
                }
		pEntry++;
        }
        return 0;       // default when not found
}
