/****************************************************************************
Date: 7/5/95
File: inttimer.hpp
Description: Interval Timer
	Provides timing interval in seconds, interval must be > 0.
Public Members:
		INTERVALTIMER()
		VOID	Start(USHORT unSeconds);
		BOOL	IsExpired();
		VOID	Stop();
		static	VOID	Update();

*****************************************************************************/

#include "inttimer.hpp"

#pragma check_stack( off )
#pragma check_pointer( off )

ULONG	 INTERVALTIMER::ulClock = 0;		// running counter
